package com.lightinit.hsdataportal.entity;

import java.util.Date;

public class Securekey {
    private Long securekeyid;

    private String username;

    private String securekey;

    private Date binddatetime;

    private Integer cyclestep;

    private Integer securekeytype;

    private Date syncdatetime;

    private Date expiresdatetime;

    public Long getSecurekeyid() {
        return securekeyid;
    }

    public void setSecurekeyid(Long securekeyid) {
        this.securekeyid = securekeyid;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getSecurekey() {
        return securekey;
    }

    public void setSecurekey(String securekey) {
        this.securekey = securekey;
    }

    public Date getBinddatetime() {
        return binddatetime;
    }

    public void setBinddatetime(Date binddatetime) {
        this.binddatetime = binddatetime;
    }

    public Integer getCyclestep() {
        return cyclestep;
    }

    public void setCyclestep(Integer cyclestep) {
        this.cyclestep = cyclestep;
    }

    public Integer getSecurekeytype() {
        return securekeytype;
    }

    public void setSecurekeytype(Integer securekeytype) {
        this.securekeytype = securekeytype;
    }

    public Date getSyncdatetime() {
        return syncdatetime;
    }

    public void setSyncdatetime(Date syncdatetime) {
        this.syncdatetime = syncdatetime;
    }

    public Date getExpiresdatetime() {
        return expiresdatetime;
    }

    public void setExpiresdatetime(Date expiresdatetime) {
        this.expiresdatetime = expiresdatetime;
    }
}